2016-04-05 37 views
0

でPDO MySQL拡張を有効にすることはできません。私がインストールしようとしているPHPアプリケーションは、 "PHP PDO MySQLモジュール:見つからない"と表示されます。は)私はphp.iniの以下の行</p> <pre><code>extension=pdo.so extension=mysql.so extension=pdo_mysql.so </code></pre> <p>を追加しました。しかし、私はまだのみ(のphpinfoでsqliteのサポートを得ているCentOSの

しかしphp -mは、以下のリストを与える:

bcmath 
calendar 
Core 
ctype 
curl 
date 
dom 
ereg 
fileinfo 
filter 
ftp 
gd 
gettext 
hash 
iconv 
intl 
json 
libxml 
mbstring 
mcrypt 
mhash 
mysql 
mysqli 
mysqlnd 
openssl 
pcre 
PDO 
pdo_mysql 
pdo_sqlite 
Phar 
posix 
Reflection 
session 
SimpleXML 
soap 
sockets 
SPL 
sqlite3 
standard 
tokenizer 
xml 
xmlreader 
xmlwriter 
xsl 
zip 
zlib 

答えて

0

あなたはCentOSの(のRed Hat(Linux)を)持っています。私は指示に従った、それはPHP-mysqlのパッケージがエラー状態だった結局のところ

sudo service apache2 restart 
+0

何を行うための窓の方法は何ですか? – braks

+0

php5をApacheモジュールまたはスタンドアロンとして実行していますか? –

+0

私はどちらも..これは、apache経由でもコマンドライン経由でも利用できます。わかりません。とにかく私はAPTを持っていません(私はYumを持っています。あなたがyumを持っていればaptをインストールする必要はないとアドバイスされています)。そしてapacheサービスはhttpdと呼ばれています。 – braks

0

sudo apt-get install php5-mysql 

は次にようなApacheの再起動を行います。あなたはそのようなphp_moduleをインストールする必要がありますそれを解決するための別の答え php-mysql version conflicts with Mysql server

関連する問題